Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
dunguss3581

[hỏi] vba giao tiếp với cad bằng lệnh gì?

Các bài được khuyến nghị

anh em nào biết cho tôi hỏi: Trong autolisp có lệnh (command "...") để giao tiếp với Cad. vậy tương tự trong VBA lệnh đó như thế nào?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

SendCommand thì phải bạn ạ :D

cảm ơn bạn. cụ thể bạn có thể cho tôi một ví dụ vẽ line được không? tương tự như lisp: (command "line" p1 p2 "").

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái này lấy trong Help. K phải vẽ Line nhưng bạn đọc chắc cũng hiểu.

Sub Example_SendCommand()
  ' This example sends a command for evaluation to the AutoCAD command line
  ' of a particular drawing

  ' Create a Circle in the active drawing and
  ' zoom to display the entire circle
  ThisDrawing.SendCommand "_Circle" & vbCr & "2,2,0" & vbCr & "4" & vbCr
  ThisDrawing.SendCommand "_zoom" & vbCr & "a" & vbCr

  ' Refresh view
  ThisDrawing.Regen acAllViewports

  MsgBox "A circle command has been sent to the command line of the current drawing."
End Sub

Ngoài ra, với những ví dụ cơ bản, bạn hoàn toàn có thể hỏi anh Gúc Gờ lấy ví dụ

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×